<template>
        <div class="d-flex justify-content-end">
            <a  class="btn btn-secondary mx-1 mt-4 p-1 px-2 mb-4" :href="getUrl('reporteUsuariosHabilitados', [])
                " target="_blank" title="XLS" alt="XLS">
               <button  class="btn text-light px-0">
                <i class="fa-solid fa-table me-1 fonts-sm p-0"></i> EXCEL 
            </button> 
            </a>
            <button type="button" class="btn btn-secondary mx-1 mt-4 p-1 px-2 mb-4" @click="goToFormularioEditar()">
                <i class="bi bi-plus-square me-1 fonts-sm p-0"></i> Nuevo
            </button>
        </div>
    <table class="table  table-striped" v-if="usuarioStore.listadoUsuariosHabilitados.length > 0">
        <thead>
            <tr>
                <th scope="col">Usuario</th>
                <th scope="col">Apellido y Nombre</th>
                <th scope="col">Dependencia</th>
                <th scope="col">Perfil</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="usuario in usuarioStore.listadoUsuariosHabilitados" :key="usuario.id_usuario_perfil">
                <td v-text="usuario.id_usuario"></td>
                <td v-text="usuario.ayn_usuario"></td>
                <td v-text="usuario.d_dependen_n"></td>
                <td v-text="usuario.perfil"></td>
                <td>
                    <router-link alt="Editar Usuario" title="Editar Usuario" :to="{
                        name: 'editar-usuarios',
                        params: { id: usuario.id_usuario_perfil },//cambio de ID ver
                    }">
                        <button class="btn btn-principal btn-sm pt-0 pb-0 px-1 mb-2 mt-0" alt="Editar" title="Editar">
                            <i class="bi bi-pencil-square text-light"></i>

                        </button>
                    </router-link>
                </td>
            </tr>
        </tbody>
    </table>
    <div v-else class="alert alert-secondary" role="alert">
        No hay elementos para mostrar
    </div>
</template>
  

<script setup lang="ts">
//librerias
import { onMounted } from "vue";
import { useRouter } from "vue-router";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb, getUrl } from "@/shared.js";
//Entities
//Stores
import { useUsuariosStore } from "@/stores/usuarios";


const router = useRouter();
const { breadcrumb } = useBreadcrumb();
const usuarioStore = useUsuariosStore();


function goToFormularioEditar() {
    router.push({
        name: "editar-usuarios",
    });
}


onMounted(() => {

    breadcrumb?.initRoutes([
        new BreadCrumbRoute("inicio"),
        new BreadCrumbRoute("inicioUsuarios"),
    ]);

});



</script>

  <!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
  